Subject: bug#11558: 24.1.50; Image Magick related build failure on bzr revision 108365

From: Eric Schulte <[email-masked]>
Date: Fri, 25 May 2012 09:35:01 -0600

Hi,

For the past week or so the Emacs bzr HEAD has failed to build with
image magick support.  The following error is signaled [1].  I'm running
a 64-but Arch GNU-Linux system, and other Arch users have noticed this
problem as well [2].  As Arch tries to include the latest version of all
tools this is likely due to a conflict with the most recent version of
imagemagick.  I have the following version installed [3].

Please let me know if there is any other information I can provide.

Thanks,

Footnotes: 
[1]  $ make build
     ...
     temacs: magick/exception.c:968: ThrowMagickExceptionList: Assertion `exception->signature == 0xabacadabUL' failed.
     /bin/sh: line 5: 17636 Aborted                 `/bin/pwd`/temacs --batch --load loadup bootstrap

[2]  https://bbs.archlinux.org/viewtopic.php?id=140037

[3]  $ convert --version
     Version: ImageMagick 6.7.6-8 2012-05-01 Q16 http://www.imagemagick.org
     Copyright: Copyright (C) 1999-2012 ImageMagick Studio LLC
     Features: OpenMP 

-- 
Eric Schulte
http://cs.unm.edu/~eschulte